SoulFire LogoSoulFire

Get server info

Retrieves comprehensive server information including current configuration, all available settings definitions, settings page layouts, and registered plugins. This method is typically called when initializing a settings UI to obtain: 1. Current configuration values to populate form fields 2. Settings definitions describing each setting's type, constraints, and metadata 3. Page definitions for organizing settings into logical groups 4. Plugin information for displaying registered plugins

GET
/v1/server

Retrieves comprehensive server information including current configuration, all available settings definitions, settings page layouts, and registered plugins.

This method is typically called when initializing a settings UI to obtain:

  1. Current configuration values to populate form fields
  2. Settings definitions describing each setting's type, constraints, and metadata
  3. Page definitions for organizing settings into logical groups
  4. Plugin information for displaying registered plugins

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "http://127.0.0.1:38765/v1/server"
{
  "config": {
    "settings": [
      {
        "namespace": "string",
        "entries": [
          {
            "key": "string",
            "value": {
              "null_value": "NULL_VALUE",
              "number_value": 0.1,
              "string_value": "string",
              "bool_value": true,
              "struct_value": {
                "fields": {
                  "property1": {
                    "null_value": "NULL_VALUE",
                    "number_value": 0.1,
                    "string_value": "string",
                    "bool_value": true,
                    "struct_value": {
                      "fields": {}
                    },
                    "list_value": {
                      "values": [
                        {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": []
                          }
                        }
                      ]
                    }
                  },
                  "property2": {
                    "null_value": "NULL_VALUE",
                    "number_value": 0.1,
                    "string_value": "string",
                    "bool_value": true,
                    "struct_value": {
                      "fields": {}
                    },
                    "list_value": {
                      "values": [
                        {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": []
                          }
                        }
                      ]
                    }
                  }
                }
              },
              "list_value": {
                "values": [
                  {
                    "null_value": "NULL_VALUE",
                    "number_value": 0.1,
                    "string_value": "string",
                    "bool_value": true,
                    "struct_value": {
                      "fields": {
                        "property1": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": []
                          }
                        },
                        "property2": {
                          "null_value": "NULL_VALUE",
                          "number_value": 0.1,
                          "string_value": "string",
                          "bool_value": true,
                          "struct_value": {
                            "fields": {}
                          },
                          "list_value": {
                            "values": []
                          }
                        }
                      }
                    },
                    "list_value": {
                      "values": []
                    }
                  }
                ]
              }
            }
          }
        ]
      }
    ]
  },
  "settings_definitions": [
    {
      "id": {
        "namespace": "string",
        "key": "string"
      },
      "scope": "SERVER",
      "string": {
        "ui_name": "string",
        "description": "string",
        "def": "string",
        "input_type": "TEXT",
        "placeholder": "string",
        "min_length": 0,
        "max_length": 0,
        "pattern": "string",
        "disabled": true
      },
      "int": {
        "ui_name": "string",
        "description": "string",
        "def": 0,
        "min": 0,
        "max": 0,
        "step": 0,
        "placeholder": "string",
        "thousand_separator": true,
        "disabled": true
      },
      "double": {
        "ui_name": "string",
        "description": "string",
        "def": 0.1,
        "min": 0.1,
        "max": 0.1,
        "step": 0.1,
        "placeholder": "string",
        "thousand_separator": true,
        "decimal_scale": 0,
        "fixed_decimal_scale": true,
        "disabled": true
      },
      "bool": {
        "ui_name": "string",
        "description": "string",
        "def": true,
        "disabled": true
      },
      "combo": {
        "ui_name": "string",
        "description": "string",
        "options": [
          {
            "id": "string",
            "display_name": "string",
            "icon_id": "string",
            "keywords": [
              "string"
            ]
          }
        ],
        "def": "string",
        "disabled": true
      },
      "string_list": {
        "ui_name": "string",
        "description": "string",
        "def": [
          "string"
        ],
        "disabled": true
      },
      "min_max": {
        "min": 0,
        "max": 0,
        "step": 0,
        "thousand_separator": true,
        "minEntry": {
          "ui_name": "string",
          "description": "string",
          "def": 0,
          "placeholder": "string"
        },
        "maxEntry": {
          "ui_name": "string",
          "description": "string",
          "def": 0,
          "placeholder": "string"
        },
        "disabled": true
      }
    }
  ],
  "server_settings": [
    {
      "id": "string",
      "owning_plugin_id": "string",
      "page_name": "string",
      "entries": [
        {
          "namespace": "string",
          "key": "string"
        }
      ],
      "icon_id": "string",
      "enabled_identifier": {
        "namespace": "string",
        "key": "string"
      }
    }
  ],
  "plugins": [
    {
      "id": "string",
      "version": "string",
      "description": "string",
      "author": "string",
      "license": "string",
      "website": "string"
    }
  ]
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}
{
  "code": 0,
  "grpc-code": "string",
  "message": "string",
  "stack-trace": "string",
  "details": [
    {}
  ]
}

How is this page?